Subject: Please Respond by 12pm Tomorrow! Doodle Poll re Committee Small Groups
From: "Gilmore, Rachel" <[email-masked]>
Cc: "Baraso, Sam" <[email-masked]>, Ciara Pressler <[email-masked]>, Marlo Maroon <[email-masked]>, Rahsaan Cruz <[email-masked]>
Date: Mon, 4 Mar 2024 12:22:01 -0800

Hi PCEF Committee,

Through staff and co-chair discussions, we've determined that we need to add small group sessions to our schedule prior to the March 21 public meeting. I'm hoping that everyone can fill out this Doodle poll<https://doodle.com/meeting/participate/id/azqOBPqe> by noon tomorrow 3/5. Please indicate all times that you are available, and please use the &quot;if need be&quot; option where applicable. We are looking for everyone to attend one small group meeting, to the extent possible.

I know we are asking for a lot of your time lately, and apologize that we are squeezing these in on short notice. I will also be sending a calendar invite to resume our previous cadence of small group sessions, 3rd Thursday evenings on non-public meeting months.

Thanks so much, and please let me know if you have any questions.
Doodle link: https://doodle.com/meeting/participate/id/azqOBPqe

Best,
Rachel

Rachel Gilmore (she/her)
Administrative Specialist, Portland Clean Energy Fund
[email-masked]<mailto:[email-masked]>
971-421-3612

City of Portland | Bureau of Planning &amp; Sustainability
1810 SW 5th Ave., Suite 710 Portland, OR 97201
portland.gov/bps<http://portland.gov/bps>

The City of Portland is committed to providing meaningful access. For accommodations, modifications, translation, interpretation or other services<https://www.portlandoregon.gov/bps/71701>, please contact 503-823-7700 or use City TTY 503-823-6868.